/* ========================================================================
 * Version: 5.7
 * Copyright (c) 2022, 2023, 2024, 2025 Jon Gunderson; Licensed BSD
 * Copyright (c) 2021 PayPal Accessibility Team and University of Illinois; Licensed BSD
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of PayPal or any of its subsidiaries or affiliates, nor the name of the University of Illinois, nor the names of any other contributors contributors may be used to endorse or promote products derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * CDN: https://skipto-landmarks-headings.github.io/page-script-5/dist/skipto.min.js
 * Documentation: https://skipto-landmarks-headings.github.io/page-script-5
 * Code: https://github.com/skipto-landmarks-headings/page-script-5
 * Report Issues: https://github.com/skipto-landmarks-headings/page-script-5/issues
 * ======================================================================== */

!function(){"use strict";const e={default:{fontFamily:"inherit",fontSize:"inherit",positionLeft:"46%",smallBreakPoint:"576",mediumBreakPoint:"992",buttonTextColor:"#13294b",buttonBackgroundColor:"#dddddd",focusBorderColor:"#c5050c",menuTextColor:"#13294b",menuBackgroundColor:"#dddddd",menuitemFocusTextColor:"#dddddd",menuitemFocusBackgroundColor:"#13294b",menuTextDarkColor:"#ffffff",menuBackgroundDarkColor:"#000000",menuitemFocusTextDarkColor:"#ffffff",menuitemFocusBackgroundDarkColor:"#013c93",focusBorderDarkColor:"#ffffff",buttonTextDarkColor:"#ffffff",buttonBackgroundDarkColor:"#013c93",zIndex:"2000000",zHighlight:"1999900",displayOption:"fixed"},aria:{hostnameSelector:"w3.org",pathnameSelector:"ARIA/apg",fontFamily:"sans-serif",fontSize:"10pt",positionLeft:"7%",menuTextColor:"#000",menuBackgroundColor:"#def",menuitemFocusTextColor:"#fff",menuitemFocusBackgroundColor:"#005a9c",focusBorderColor:"#005a9c",buttonTextColor:"#005a9c",buttonBackgroundColor:"#ddd"},illinois:{hostnameSelector:"illinois.edu",menuTextColor:"#00132c",menuBackgroundColor:"#cad9ef",menuitemFocusTextColor:"#eeeeee",menuitemFocusBackgroundColor:"#00132c",focusBorderColor:"#ff552e",buttonTextColor:"#444444",buttonBackgroundColor:"#dddede",highlightTarget:"disabled"},openweba11y:{hostnameSelector:"openweba11y.com",buttonTextColor:"#13294B",buttonBackgroundColor:"#dddddd",focusBorderColor:"#C5050C",menuTextColor:"#13294B",menuBackgroundColor:"#dddddd",menuitemFocusTextColor:"#dddddd",menuitemFocusBackgroundColor:"#13294B",fontSize:"90%"},skipto:{hostnameSelector:"skipto-landmarks-headings.github.io",positionLeft:"25%",fontSize:"14px",menuTextColor:"#00132c",menuBackgroundColor:"#cad9ef",menuitemFocusTextColor:"#eeeeee",menuitemFocusBackgroundColor:"#00132c",focusBorderColor:"#ff552e",buttonTextColor:"#444444",buttonBackgroundColor:"#dddede"},uic:{hostnameSelector:"uic.edu",menuTextColor:"#001e62",menuBackgroundColor:"#f8f8f8",menuitemFocusTextColor:"#ffffff",menuitemFocusBackgroundColor:"#001e62",focusBorderColor:"#d50032",buttonTextColor:"#ffffff",buttonBackgroundColor:"#001e62"},uillinois:{hostnameSelector:"uillinois.edu",menuTextColor:"#001e62",menuBackgroundColor:"#e8e9ea",menuitemFocusTextColor:"#f8f8f8",menuitemFocusBackgroundColor:"#13294b",focusBorderColor:"#dd3403",buttonTextColor:"#e8e9ea",buttonBackgroundColor:"#13294b",highlightTarget:"disabled"},uis:{hostnameSelector:"uis.edu",menuTextColor:"#036",menuBackgroundColor:"#fff",menuitemFocusTextColor:"#fff",menuitemFocusBackgroundColor:"#036",focusBorderColor:"#dd3444",buttonTextColor:"#fff",buttonBackgroundColor:"#036"},walmart:{hostnameSelector:"walmart.com",buttonTextColor:"#ffffff",buttonBackgroundColor:"#00419a",focusBorderColor:"#ffc220",menuTextColor:"#ffffff",menuBackgroundColor:"#0071dc",menuitemFocusTextColor:"#00419a",menuitemFocusBackgroundColor:"#ffffff"}};class t{constructor(...e){this._flag=!1,this._label="debug";for(const[t,o]of e.entries())if(t<2)switch(typeof o){case"boolean":this._flag=o;break;case"string":this._label=o}}get flag(){return this._flag}set flag(e){"boolean"==typeof e&&(this._flag=e)}get label(){return this._label}set label(e){"string"==typeof e&&(this._label=e)}log(e,t){const o=t?"\n":"";console.log(`${o}[${this._label}] ${e}`)}tag(e,t){if(e&&e.tagName){const o=e.textContent.trim().replace(/\s+/g," ");this.log(`[${e.tagName}]: ${o.substring(0,40)}`,t)}}separator(e){this.log("-----------------------------",e)}}const o="id-skip-to-ver-5",n="id-skip-to-menu-style",i="id-skip-to-menu",r="id-skip-to-landmark-group",s="id-skip-to-landmark-group-label",a="id-skip-to-heading-group",l="id-skip-to-heading-group-label",d="id-skip-to-shortcuts-group",u="id-skip-to-shortcuts-group-label",c="id-skip-to-message",h="id-skip-to-highlight-overlay",g="skip-to-content",m="skip-to-content-bookmarklet",p="skip-to-content-extension",f="skip-to-content-info-dialog-574",b="skip-to-content-message-element-574",k="skip-to-content-highlight-element-574",C="data-skipto",x="https://skipto-landmarks-headings.github.io/page-script-5/",y="https://skipto-landmarks-headings.github.io/page-script-5/shortcuts.html";new t("style",!1).flag=!1;const v=document.createElement("template");function N(t){if("object"==typeof e[t])return e[t];let o="",n="",i="";const r=new URL(location.href).hostname,s=location.pathname;for(let t in e){const a=e[t].hostnameSelector,l=e[t].pathnameSelector;let d=!1,u=!1;a&&r.indexOf(a)>=0&&(!o||e[o].hostnameSelector.length<a.length?(o=t,d=!0,n=""):e[o].hostnameSelector.length===a.length&&(d=!0)),l&&s.indexOf(l)>=0&&(!n||e[n].pathnameSelector.length<l.length)&&(n=t,u=!0),d&&u&&(i=t)}return i?e[i]:o?e[o]:n?e[n]:e.default}function B(e,t,o,n,i){let r=i;"string"==typeof o&&o?r=o:"string"==typeof n&&n&&(r=n);let s=e.indexOf(t),a=s+t.length;for(;s>=0&&a<e.length;)a=(s=(e=e.substring(0,s)+r+e.substring(a)).indexOf(t,a))+t.length;return e}function E(e,t,o,i=!1){let r=v.textContent.slice(0);r=function(e,t,o=!1){const n=o?N(t.colorTheme):{},i=N("default");return"string"==typeof t.displayOption&&["popup-border","fixed","popup","static"].includes(t.displayOption.toLowerCase())<0&&("string"==typeof n.displayOption&&["popup-border","fixed","popup","static"].includes(n.displayOption.toLowerCase())>=0?t.displayOption=n.displayOption:t.displayOption=i.displayOption),e=B(e,"$fontFamily",t.fontFamily,n.fontFamily,i.fontFamily),e=B(e,"$fontSize",t.fontSize,n.fontSize,i.fontSize),e=B(e,"$positionLeft",t.positionLeft,n.positionLeft,i.positionLeft),e=B(e,"$smallBreakPoint",t.smallBreakPoint,n.smallBreakPoint,i.smallBreakPoint),e=B(e,"$mediumBreakPoint",t.mediumBreakPoint,n.mediumBreakPoint,i.mediumBreakPoint),e=B(e,"$menuTextColor",t.menuTextColor,n.menuTextColor,i.menuTextColor),e=B(e,"$menuTextDarkColor",t.menuTextDarkColor,n.menuTextDarkColor,i.menuTextDarkColor),e=B(e,"$menuBackgroundColor",t.menuBackgroundColor,n.menuBackgroundColor,i.menuBackgroundColor),e=B(e,"$menuBackgroundDarkColor",t.menuBackgroundDarkColor,n.menuBackgroundDarkColor,i.menuBackgroundDarkColor),e=B(e,"$menuitemFocusTextColor",t.menuitemFocusTextColor,n.menuitemFocusTextColor,i.menuitemFocusTextColor),e=B(e,"$menuitemFocusTextDarkColor",t.menuitemFocusTextDarkColor,n.menuitemFocusTextDarkColor,i.menuitemFocusTextDarkColor),e=B(e,"$menuitemFocusBackgroundColor",t.menuitemFocusBackgroundColor,n.menuitemFocusBackgroundColor,i.menuitemFocusBackgroundColor),e=B(e,"$menuitemFocusBackgroundDarkColor",t.menuitemFocusBackgroundDarkColor,n.menuitemFocusBackgroundDarkColor,i.menuitemFocusBackgroundDarkColor),e=B(e,"$focusBorderColor",t.focusBorderColor,n.focusBorderColor,i.focusBorderColor),e=B(e,"$focusBorderDarkColor",t.focusBorderDarkColor,n.focusBorderDarkColor,i.focusBorderDarkColor),e=B(e,"$buttonTextColor",t.buttonTextColor,n.buttonTextColor,i.buttonTextColor),e=B(e,"$buttonTextDarkColor",t.buttonTextDarkColor,n.buttonTextDarkColor,i.buttonTextDarkColor),e=B(e,"$buttonBackgroundColor",t.buttonBackgroundColor,n.buttonBackgroundColor,i.buttonBackgroundColor),e=B(e,"$buttonBackgroundDarkColor",t.buttonBackgroundDarkColor,n.buttonBackgroundDarkColor,i.buttonBackgroundDarkColor),e=B(e,"$zIndex",t.zIndex,n.zIndex,i.zIndex),"string"==typeof n.highlightTarget&&(t.highlightTarget=n.highlightTarget),e}(r,t,i);let s=e.querySelector(`#${n}`);s||(s=document.createElement("style"),e.appendChild(s),s.setAttribute("id",`${n}`)),s.textContent=r}function L(e,t){let o=e.getAttribute(t);return null===o?"":$(o)}function $(e){return e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"").replace(/\s+/g," ")}function T(e){return"string"==typeof e&&e.length&&e.trim()&&"&nbsp;"!==e}function w(e){let t=window.getComputedStyle(e).getPropertyValue("visibility");return"hidden"!==t&&"collapse"!==t&&!function e(t){if(!t||t.nodeType!==Node.ELEMENT_NODE)return!1;if(t.hasAttribute("hidden"))return!0;return"none"===window.getComputedStyle(t,null).getPropertyValue("display")||!!t.parentNode&&e(t.parentNode)}(e)}v.textContent=`\n:root {\n color-scheme: light dark;\n}\n\n#${o}.popup {\n top: -36px;\n transition: top 0.35s ease;\n}\n\n#${o}.popup.show-border {\n top: -28px;\n transition: top 0.35s ease;\n}\n\n#${o} button .skipto-text {\n padding: 6px 8px 6px 8px;\n display: inline-block;\n}\n\n#${o} button .skipto-small {\n padding: 6px 8px 6px 8px;\n display: none;\n}\n\n#${o} button .skipto-medium {\n padding: 6px 8px 6px 8px;\n display: none;\n}\n\n#${o},\n#${o}.popup.focus,\n#${o}.popup:hover {\n position: fixed;\n top: 0;\n left: $positionLeft;\n font-family: $fontFamily;\n font-size: $fontSize;\n display: block;\n border: none;\n margin-bottom: 4px;\n transition: left 1s ease;\n z-index: $zIndex !important;\n user-select: none;\n touch-action: none;\n}\n\n#${o} button {\n position: sticky;\n margin: 0;\n padding: 0;\n border-width: 0px 1px 1px 1px;\n border-style: solid;\n border-radius: 0px 0px 6px 6px;\n border-color: light-dark($buttonBackgroundColor, $buttonBackgroundDarkColor);\n color: light-dark($buttonTextColor, $buttonTextDarkColor);\n background-color: light-dark($buttonBackgroundColor, $buttonBackgroundDarkColor);\n z-index: 100000 !important;\n font-family: $fontFamily;\n font-size: $fontSize;\n z-index: $zIndex !important;\n touch-action: none;\n}\n\n@media screen and (max-width: $smallBreakPointpx) {\n #${o}:not(.popup) button .skipto-small {\n transition: top 0.35s ease;\n display: inline-block;\n }\n\n #${o}:not(.popup) button .skipto-text,\n #${o}:not(.popup) button .skipto-medium {\n transition: top 0.35s ease;\n display: none;\n }\n\n #${o}:not(.popup).focus button .skipto-text {\n transition: top 0.35s ease;\n display: inline-block;\n }\n\n #${o}:not(.popup).focus button .skipto-small,\n #${o}:not(.popup).focus button .skipto-medium {\n transition: top 0.35s ease;\n display: none;\n }\n}\n\n@media screen and (min-width: $smallBreakPointpx) and (max-width: $mediumBreakPointpx) {\n #${o}:not(.popup) button .skipto-medium {\n transition: top 0.35s ease;\n display: inline-block;\n }\n\n #${o}:not(.popup) button .skipto-text,\n #${o}:not(.popup) button .skipto-small {\n transition: top 0.35s ease;\n display: none;\n }\n\n #${o}:not(.popup).focus button .skipto-text {\n transition: top 0.35s ease;\n display: inline-block;\n }\n\n #${o}:not(.popup).focus button .skipto-small,\n #${o}:not(.popup).focus button .skipto-medium {\n transition: top 0.35s ease;\n display: none;\n }\n}\n\n#${o}.static {\n position: absolute !important;\n}\n\n\n#${o} [role="menu"] {\n position: absolute;\n min-width: 16em;\n display: none;\n margin: 0;\n padding: 0.25rem;\n background-color: light-dark($menuBackgroundColor, $menuBackgroundDarkColor);\n border-width: 2px;\n border-style: solid;\n border-color: light-dark($focusBorderColor, $focusBorderDarkColor);\n border-radius: 5px;\n z-index: $zIndex !important;\n touch-action: none;\n}\n\n#${o} [role="group"] {\n display: grid;\n grid-auto-rows: min-content;\n grid-row-gap: 1px;\n}\n\n#${o} [role="group"].overflow {\n overflow-x: hidden;\n overflow-y: scroll;\n}\n\n#${o} [role="separator"]:first-child {\n border-radius: 5px 5px 0 0;\n}\n\n#${o} [role="menuitem"] {\n padding: 3px;\n width: auto;\n border-width: 0px;\n border-style: solid;\n color: light-dark($menuTextColor, $menuTextDarkColor);\n background-color: light-dark($menuBackgroundColor, $menuBackgroundDarkColor);\n display: grid;\n overflow-y: clip;\n grid-template-columns: repeat(6, 1.2rem) 1fr;\n grid-column-gap: 2px;\n font-size: 1em;\n z-index: $zIndex !important; \n}\n\n#${o} [role="menuitem"] .level,\n#${o} [role="menuitem"] .label {\n font-size: 100%;\n font-weight: normal;\n color: light-dark($menuTextColor, $menuTextDarkColor);\n background-color: light-dark($menuBackgroundColor, $menuBackgroundDarkColor);\n display: inline-block;\n line-height: inherit;\n display: inline-block;\n white-space: nowrap;\n border: none;\n}\n\n#${o} [role="menuitem"] .level {\n text-align: right;\n padding-right: 4px;\n}\n\n#${o} [role="menuitem"] .label {\n text-align: left;\n margin: 0;\n padding: 0;\n overflow: hidden;\n text-overflow: ellipsis;\n}\n\n#${o} [role="menuitem"] .level:first-letter,\n#${o} [role="menuitem"] .label:first-letter {\n text-decoration: underline;\n text-transform: uppercase;\n}\n\n\n#${o} [role="menuitem"].skip-to-h1 .level { grid-column: 1; }\n#${o} [role="menuitem"].skip-to-h2 .level { grid-column: 2; }\n#${o} [role="menuitem"].skip-to-h3 .level { grid-column: 3; }\n#${o} [role="menuitem"].skip-to-h4 .level { grid-column: 4; }\n#${o} [role="menuitem"].skip-to-h5 .level { grid-column: 5; }\n#${o} [role="menuitem"].skip-to-h6 .level { grid-column: 6;}\n\n#${o} [role="menuitem"].skip-to-h1 .label { grid-column: 2 / 8; }\n#${o} [role="menuitem"].skip-to-h2 .label { grid-column: 3 / 8; }\n#${o} [role="menuitem"].skip-to-h3 .label { grid-column: 4 / 8; }\n#${o} [role="menuitem"].skip-to-h4 .label { grid-column: 5 / 8; }\n#${o} [role="menuitem"].skip-to-h5 .label { grid-column: 6 / 8; }\n#${o} [role="menuitem"].skip-to-h6 .label { grid-column: 7 / 8;}\n\n#${o} [role="menuitem"].skip-to-h1.no-level .label { grid-column: 1 / 8; }\n#${o} [role="menuitem"].skip-to-h2.no-level .label { grid-column: 2 / 8; }\n#${o} [role="menuitem"].skip-to-h3.no-level .label { grid-column: 3 / 8; }\n#${o} [role="menuitem"].skip-to-h4.no-level .label { grid-column: 4 / 8; }\n#${o} [role="menuitem"].skip-to-h5.no-level .label { grid-column: 5 / 8; }\n#${o} [role="menuitem"].skip-to-h6.no-level .label { grid-column: 6 / 8; }\n\n#${o} [role="menuitem"].skip-to-nesting-level-1 .nesting { grid-column: 1; }\n#${o} [role="menuitem"].skip-to-nesting-level-2 .nesting { grid-column: 2; }\n#${o} [role="menuitem"].skip-to-nesting-level-3 .nesting { grid-column: 3; }\n\n#${o} [role="menuitem"].skip-to-nesting-level-0 .label { grid-column: 1 / 8; }\n#${o} [role="menuitem"].skip-to-nesting-level-1 .label { grid-column: 2 / 8; }\n#${o} [role="menuitem"].skip-to-nesting-level-2 .label { grid-column: 3 / 8; }\n#${o} [role="menuitem"].skip-to-nesting-level-3 .label { grid-column: 4 / 8; }\n\n#${o} [role="menuitem"].no-items .label,\n#${o} [role="menuitem"].action .label {\n grid-column: 1 / 8;\n}\n\n#${o} [role="separator"] {\n margin: 1px 0px 1px 0px;\n padding: 3px;\n display: block;\n width: auto;\n font-weight: bold;\n border-bottom-width: 1px;\n border-bottom-style: solid;\n border-bottom-color: light-dark($menuTextColor, $menuTextDarkColor);\n background-color: light-dark($menuBackgroundColor, $menuBackgroundColor);\n color: light-dark($menuTextColor, $menuTextDarkColor);\n z-index: $zIndex !important;\n}\n\n#${o} [role="separator"] .mofn {\n font-weight: normal;\n font-size: 85%;\n}\n\n#${o} [role="separator"]:first-child {\n border-radius: 5px 5px 0 0;\n}\n\n#${o} [role="menuitem"].last {\n border-radius: 0 0 5px 5px;\n}\n\n/* focus styling */\n\n#${o}.focus {\n display: block;\n}\n\n#${o} button:focus,\n#${o} button:hover {\n background-color: light-dark($menuBackgroundColor, $menuBackgroundDarkColor);\n color: light-dark($menuTextColor, $menuTextDarkColor);\n outline: none;\n border-width: 0px 2px 2px 2px;\n border-color: light-dark($focusBorderColor, $focusBorderDarkColor);\n}\n\n\n#${o} button:focus .skipto-text,\n#${o} button:hover .skipto-text,\n#${o} button:focus .skipto-small,\n#${o} button:hover .skipto-small,\n#${o} button:focus .skipto-medium,\n#${o} button:hover .skipto-medium {\n padding: 6px 7px 5px 7px;\n}\n\n#${o} [role="menuitem"]:focus {\n padding: 1px;\n border-width: 2px;\n border-style: solid;\n border-color: light-dark($focusBorderColor, $focusBorderDarkColor);\n outline: none;\n}\n\n#${o} [role="menuitem"].hover,\n#${o} [role="menuitem"].hover .level,\n#${o} [role="menuitem"].hover .label {\n background-color: light-dark($menuitemFocusBackgroundColor, $menuitemFocusBackgroundDarkColor);\n color: light-dark($menuitemFocusTextColor, $menuitemFocusTextDarkColor);\n}\n\n#${o} [role="separator"].shortcuts-disabled,\n#${o} [role="menuitem"].shortcuts-disabled {\n display: none;\n}\n\n@media (forced-colors: active) {\n\n #${o} button {\n border-color: ButtonBorder;\n color: ButtonText;\n background-color: ButtonFace;\n }\n\n #${o} [role="menu"] {\n background-color: ButtonFace;\n border-color: ButtonText;\n }\n\n #${o} [role="menuitem"] {\n color: ButtonText;\n background-color: ButtonFace;\n }\n\n #${o} [role="menuitem"] .level,\n #${o} [role="menuitem"] .label {\n color: ButtonText;\n background-color: ButtonFace;\n }\n\n #${o} [role="separator"] {\n border-bottom-color: ButtonBorder;\n background-color: ButtonFace;\n color: ButtonText;\n z-index: $zIndex !important;\n }\n\n #${o} button:focus,\n #${o} button:hover {\n background-color: ButtonFace;\n color: ButtonText;\n border-color: ButtonBorder;\n }\n\n #${o} [role="menuitem"]:focus {\n background-color: ButtonText;\n color: ButtonFace;\n border-color: ButtonBorder;\n }\n\n #${o} [role="menuitem"].hover,\n #${o} [role="menuitem"].hover .level,\n #${o} [role="menuitem"].hover .label {\n background-color: ButtonText;\n color: ButtonFace;\n }\n\n}\n\n`,new t("Utils",!1).flag=!1,new t("[shortcutsInfoDialog]",!1).flag=!1;const D=e.default,A=document.createElement("template");A.textContent="\n/* infoDialog.css */\n\ndialog#skip-to-info-dialog {\n position: fixed;\n top: 50%;\n left: 50%;\n transform: translate(-50%,-50%);\n font-family: $fontFamily;\n font-size: $fontSize;\n max-width: 70%;\n margin: 0;\n padding: 0;\n background-color: light-dark($dialogBackgroundColor, $dialogBackgroundDarkColor);\n color: light-dark($dialogTextColor, $dialogTextDarkColor);\n border-width: 2px;\n border-style: solid;\n border-color: light-dark($focusBorderColor, $focusBorderDarkColor);\n border-radius: 5px;\n z-index: 2000001;\n\n}\n\ndialog#skip-to-info-dialog .header {\n margin: 0;\n margin-bottom: 0.5em;\n padding: 4px;\n border-width: 0;\n border-bottom-width: 1px;\n border-style: solid;\n border-color: light-dark($focusBorderColor, $focusBorderDarkColor);\n border-top-left-radius: 5px;\n border-top-right-radius: 5px;\n font-weight: bold;\n background-color: light-dark($dialogBackgroundTitleColor, $dialogBackgroundTitleDarkColor);\n color: light-dark($dialogTextColor, $dialogTextDarkColor);\n position: relative;\n font-size: 100%;\n}\n\ndialog#skip-to-info-dialog .header h2 {\n margin: 0;\n padding: 0;\n font-size: 1em;\n}\n\ndialog#skip-to-info-dialog .header button {\n position: absolute;\n top: -0.25em;\n right: 0;\n border: none;\n background: transparent;\n font-weight: bold;\n color: light-dark(black, white);\n}\n\ndialog#skip-to-info-dialog .content {\n margin-left: 2em;\n margin-right: 2em;\n margin-top: 0;\n margin-bottom: 2em;\n}\n\ndialog#skip-to-info-dialog .content .desc {\n max-width: 20em;\n}\n\ndialog#skip-to-info-dialog .content .happy {\n margin-top: 0.5em;\n text-align: center;\n font-family: fantasy, cursive;\n font-size: 1.25em;\n font-weight: bold;\n font-style: italic;\n letter-spacing: 0.05em;\n}\n\n\ndialog#skip-to-info-dialog .content .version,\ndialog#skip-to-info-dialog .content .copyright {\n margin-top: 0.5em;\n text-align: center;\n font-weight: bold;\n font-size: 90%;\n}\n\ndialog#skip-to-info-dialog .content table {\n width: auto;\n}\n\ndialog#skip-to-info-dialog .content caption {\n margin: 0;\n padding: 0;\n margin-top: 1em;\n text-align: left;\n font-weight: bold;\n font-size: 110%;\n}\n\ndialog#skip-to-info-dialog .content th {\n margin: 0;\n padding: 0;\n padding-top: 0.125em;\n padding-bottom: 0.125em;\n text-align: left;\n font-weight: bold;\n font-size: 100%;\n}\n\ndialog#skip-to-info-dialog .content th {\n border-bottom-width: 1px;\n border-bottom-style: solid;\n border-bottom-color: light-dark(#999999, #777777);\n}\n\ndialog#skip-to-info-dialog .content th.shortcut {\n width: 2.5em;\n}\n\ndialog#skip-to-info-dialog .content td {\n margin: 0;\n padding: 0;\n padding-top: 0.125em;\n padding-bottom: 0.125em;\n text-align: left;\n font-size: 100%;\n}\n\n\ndialog#skip-to-info-dialog .content table tr:nth-child(even) {\n background-color: light-dark(#eeeeee, #111111);\n}\n\ndialog#skip-to-info-dialog .buttons {\n float: right;\n margin-right: 0.5em;\n margin-bottom: 0.5em;\n}\n\ndialog#skip-to-info-dialog button {\n margin: 6px;\n}\n\ndialog#skip-to-info-dialog .buttons button {\n min-width: 5em;\n}\n\nbutton:focus {\n outline: 2px solid currentColor;\n outline-offset: 2px;\n}\n\nbutton:hover {\n cursor: pointer;\n}\n";class H extends HTMLElement{constructor(){super(),this.attachShadow({mode:"open"}),this.infoDialog=document.createElement("dialog"),this.infoDialog.id="skip-to-info-dialog",this.shadowRoot.appendChild(this.infoDialog);const e=document.createElement("div");e.className="header",this.infoDialog.appendChild(e),this.h2Elem=document.createElement("h2"),this.h2Elem.textContent="Keyboard Shortcuts",e.appendChild(this.h2Elem),this.closeButton1=document.createElement("button"),this.closeButton1.textContent="✕",e.appendChild(this.closeButton1),this.closeButton1.addEventListener("click",this.onCloseButtonClick.bind(this)),this.closeButton1.addEventListener("keydown",this.onKeyDown.bind(this)),this.contentElem=document.createElement("div"),this.contentElem.className="content",this.infoDialog.appendChild(this.contentElem);const t=document.createElement("div");t.className="buttons",this.infoDialog.appendChild(t),this.moreInfoButton=document.createElement("button"),this.moreInfoButton.textContent="More Information",t.appendChild(this.moreInfoButton),this.moreInfoButton.addEventListener("click",this.onMoreInfoClick.bind(this)),this.closeButton2=document.createElement("button"),this.closeButton2.textContent="Close",t.appendChild(this.closeButton2),this.closeButton2.addEventListener("click",this.onCloseButtonClick.bind(this)),this.closeButton2.addEventListener("keydown",this.onKeyDown.bind(this)),this.moreInfoURL=""}onCloseButtonClick(){this.infoDialog.close()}openDialog(){this.infoDialog.showModal(),this.closeButton2.focus()}onMoreInfoClick(){this.moreInfoURL&&window.open(this.moreInfoURL,"_blank").focus()}configureStyle(e={}){function t(e,t,o,n){return o?e.replaceAll(t,o):e.replaceAll(t,n)}let o=A.textContent.slice(0);o=t(o,"$fontFamily",e.fontFamily,D.fontFamily),o=t(o,"$fontSize",e.fontSize,D.fontSize),o=t(o,"$focusBorderColor",e.focusBorderColor,D.focusBorderColor),o=t(o,"$focusBorderDarkColor",e.focusBorderDarkColor,D.focusBorderDarkColor),o=t(o,"$dialogTextColor",e.dialogTextColor,D.dialogTextColor),o=t(o,"$dialogextDarkColor",e.dialogextDarkColor,D.dialogextDarkColor),o=t(o,"$dialogBackgroundColor",e.dialogBackgroundColor,D.dialogBackgroundColor),o=t(o,"$dialogBackgroundDarkColor",e.dialogBackgroundDarkColor,D.dialogBackgroundDarkColor),o=t(o,"$dialogBackgroundTitleColor",e.dialogBackgroundTitleColor,D.dialogBackgroundTitleColor),o=t(o,"$dialogBackgroundTitleDarkColor",e.dialogBackgroundTitleDarkColor,D.dialogBackgroundTitleDarkColor);let n=this.shadowRoot.querySelector("style");n&&n.remove(),(n=document.createElement("style")).textContent=o,this.shadowRoot.appendChild(n)}updateShortcutContent(e){for(;this.contentElem.lastElementChild;)this.contentElem.removeChild(this.contentElem.lastElementChild);function t(e,t,o){const n=document.createElement("tr");e.appendChild(n);const i=document.createElement("td");i.className="shortcut",i.textContent=t,n.appendChild(i);const r=document.createElement("td");r.className="desc",r.textContent=o,n.appendChild(r)}this.moreInfoURL=y,this.h2Elem.textContent=e.shortcutsInfoLabel,this.closeButton1.setAttribute("aria-label",e.closeLabel),this.closeButton2.textContent=e.closeLabel,this.moreInfoButton.textContent=e.moreInfoLabel;const o=document.createElement("table");this.contentElem.appendChild(o);const n=document.createElement("caption");n.textContent=e.landmarkGroupLabel,o.appendChild(n);const i=document.createElement("thead");o.appendChild(i);const r=document.createElement("tr");i.appendChild(r);const s=document.createElement("th");s.className="shortcut",s.textContent=e.msgKey,r.appendChild(s);const a=document.createElement("th");a.className="desc",a.textContent=e.msgDescription,r.appendChild(a);const l=document.createElement("tbody");o.appendChild(l),t(l,e.shortcutRegionNext,e.msgNextRegion),t(l,e.shortcutRegionPrevious,e.msgPreviousRegion),t(l,e.shortcutRegionMain,e.msgMainRegions),t(l,e.shortcutRegionNavigation,e.msgNavigationRegions),t(l,e.shortcutRegionComplementary,e.msgComplementaryRegions);const d=document.createElement("table");this.contentElem.appendChild(d);const u=document.createElement("caption");u.textContent=e.headingGroupLabel,d.appendChild(u);const c=document.createElement("thead");d.appendChild(c);const h=document.createElement("tr");c.appendChild(h);const g=document.createElement("th");g.className="shortcut",g.textContent=e.msgKey,h.appendChild(g);const m=document.createElement("th");m.className="desc",m.textContent=e.msgDescription,h.appendChild(m);const p=document.createElement("tbody");d.appendChild(p),t(p,e.shortcutHeadingNext,e.msgNextHeading),t(p,e.shortcutHeadingPrevious,e.msgPreviousHeading),t(p,e.shortcutHeadingH1,e.msgH1Headings),t(p,e.shortcutHeadingH2,e.msgH2Headings),t(p,e.shortcutHeadingH3,e.msgH3Headings),t(p,e.shortcutHeadingH4,e.msgH4Headings),t(p,e.shortcutHeadingH5,e.msgH5Headings),t(p,e.shortcutHeadingH6,e.msgH6Headings)}updateAboutContent(e){for(;this.contentElem.lastElementChild;)this.contentElem.removeChild(this.contentElem.lastElementChild);this.moreInfoURL=x,this.h2Elem.textContent=e.aboutInfoLabel,this.closeButton1.setAttribute("aria-label",e.closeLabel),this.closeButton2.textContent=e.closeLabel,this.moreInfoButton.textContent=e.moreInfoLabel;let t=document.createElement("div");t.className="desc",t.textContent=e.aboutDesc,this.contentElem.appendChild(t),(t=document.createElement("div")).className="happy",t.textContent=e.aboutHappy,this.contentElem.appendChild(t),(t=document.createElement("div")).className="version",t.textContent=e.aboutVersion,this.contentElem.appendChild(t),(t=document.createElement("div")).className="copyright",t.textContent=e.aboutCopyright,this.contentElem.appendChild(t)}onKeyDown(e){"Tab"!==e.key||e.altKey||e.ctlKey||e.metaKey||(e.shiftKey&&e.currentTarget===this.closeButton1&&(this.closeButton2.focus(),e.preventDefault(),e.stopPropagation()),e.shiftKey||e.currentTarget!==this.closeButton2||(this.closeButton1.focus(),e.preventDefault(),e.stopPropagation()))}}new t("highlight",!1).flag=!1;const S=68,F=27,M=6,I=2,P=e.default,R=document.createElement("template");R.textContent=`\n:root {\n color-scheme: light dark;\n}\n\n#${h} {\n margin: 0;\n padding: 0;\n position: absolute;\n border-radius: 3px;\n border: 4px solid light-dark($buttonBackgroundColor, $buttonBackgroundDarkColor);\n box-sizing: border-box;\n pointer-events:none;\n}\n\n#${h} .overlay-border {\n margin: 0;\n padding: 0;\n position: relative;\n top: -2px;\n left: -2px;\n border-radius: 3px 3px 3px 3px;\n border: 2px solid light-dark($focusBorderColor, $focusBorderDarkColor);\n z-index: $zHighlight;\n box-sizing: border-box;\n pointer-events:none;\n}\n\n@keyframes fadeIn {\n 0% { opacity: 0; }\n 100% { opacity: 1; }\n}\n\n#${h} .overlay-border.skip-to-hidden {\n background-color: light-dark($hiddenHeadingBackgroundColor, $hiddenHeadingBackgroundDarkColor);\n color: light-dark($hiddenHeadingColor, $hiddenHeadingDarkColor);\n font-family: $fontFamily;\n font-size: $fontSize;\n font-style: italic;\n font-weight: bold;\n text-align: center;\n padding: .25em;\n animation: fadeIn 1.5s;\n}\n\n#${h} .overlay-border.hasInfoBottom {\n border-radius: 3px 3px 3px 0;\n}\n\n#${h} .overlay-border.hasInfoTop {\n border-radius: 0 3px 3px 3px;\n}\n\n#${h} .overlay-info {\n position: relative;\n text-align: left;\n left: -2px;\n padding: 1px 4px;\n font-size: $fontSize;\n font-family: $fontFamily;\n border: 2px solid light-dark($focusBorderColor, $focusBorderDarkColor);\n background-color: light-dark($menuBackgroundColor, $menuBackgroundDarkColor);\n color: light-dark($menuTextColor, $menuTextDarkColor);\n z-index: $zHighlight;\n overflow: hidden;\n text-overflow: ellipsis;\n pointer-events:none;\n}\n\n#${h} .overlay-info.hasInfoTop {\n border-radius: 3px 3px 0 0;\n}\n\n#${h} .overlay-info.hasInfoBottom {\n border-radius: 0 0 3px 3px;\n}\n\n@media (forced-colors: active) {\n\n #${h} {\n border-color: ButtonBorder;\n }\n\n #${h} .overlay-border {\n border-color: ButtonBorder;\n }\n\n #${h} .overlay-border.skip-to-hidden {\n background-color: ButtonFace;\n color: ButtonText;\n }\n\n #${h} .overlay-info {\n border-color: ButtonBorder;\n background-color: ButtonFace;\n color: ButtonText;\n }\n\n}\n`;class G extends HTMLElement{constructor(){super(),this.attachShadow({mode:"open"}),this.overlayElem=document.createElement("div"),this.overlayElem.id=h,this.shadowRoot.appendChild(this.overlayElem),this.overlayElem.style.display="none",this.borderElem=document.createElement("div"),this.borderElem.className="overlay-border",this.overlayElem.appendChild(this.borderElem),this.infoElem=document.createElement("div"),this.infoElem.className="overlay-info",this.overlayElem.appendChild(this.infoElem),this.configureStyle()}configureStyle(e={}){function t(e,t,o,n){return o?e.replaceAll(t,o):e.replaceAll(t,n)}let o=R.textContent.slice(0);o=t(o,"$fontFamily",e.fontFamily,P.fontFamily),o=t(o,"$fontSize",e.fontSize,P.fontSize),o=t(o,"$buttonBackgroundColor",e.buttonBackgroundColor,P.buttonBackgroundColor),o=t(o,"$buttonBackgroundDarkColor",e.buttonBackgroundDarkColor,P.buttonBackgroundDarkColor),o=t(o,"$focusBorderColor",e.focusBorderColor,P.focusBorderColor),o=t(o,"$focusBorderDarkColor",e.focusBorderDarkColor,P.focusBorderDarkColor),o=t(o,"$menuBackgroundColor",e.menuBackgroundColor,P.menuBackgroundColor),o=t(o,"$menuBackgroundDarkColor",e.menuBackgroundDarkColor,P.menuBackgroundDarkColor),o=t(o,"$menuTextColor",e.menuTextColor,P.menuTextColor),o=t(o,"$menuTextDarkColor",e.menuTextDarkColor,P.menuTextDarkColor),o=t(o,"$hiddenHeadingColor",e.hiddenHeadingColor,P.hiddenHeadingColor),o=t(o,"$hiddenHeadingDarkColor",e.hiddenHeadingDarkColor,P.hiddenHeadingDarkColor),o=t(o,"$hiddenHeadingBackgroundColor",e.hiddenHeadingBackgroundColor,P.hiddenHeadingBackgroundColor),o=t(o,"$hiddenHeadingBackgroundDarkColor",e.hiddenHeadingBackgroundDarkColor,P.hiddenHeadingBackgroundDarkColor),o=t(o,"$zHighlight",e.zHighlight,P.zHighlight);let n=this.shadowRoot.querySelector("style");n&&n.remove(),(n=document.createElement("style")).textContent=o,this.shadowRoot.appendChild(n)}isElementInViewport(e){const t=e.getBoundingClientRect();return t.top>=window.screenY&&t.left>=window.screenX&&t.bottom<=(window.screenY+window.innerHeight||window.screenY+document.documentElement.clientHeight)&&t.right<=(window.screenX+window.innerWidth||window.screenX+document.documentElement.clientWidth)}isElementStartInViewport(e){const t=e.getBoundingClientRect();return t.top>=window.screenY&&t.top<=(window.screenY+window.innerHeight||window.screenY+document.documentElement.clientHeight)&&t.left>=window.screenX&&t.left<=(window.screenX+window.innerWidth||window.screenX+document.documentElement.clientWidth)}isElementInHeightLarge(e){return 1.2*e.getBoundingClientRect().height>(window.innerHeight||document.documentElement.clientHeight)}highlight(e,t,o="",n=!1){const i=window.matchMedia("(prefers-reduced-motion: reduce)"),r=!i||i.matches;if(e&&t){const i=this.updateHighlightElement(e,o);this.isElementInHeightLarge(e)?this.isElementStartInViewport(e)||r&&!n||i.scrollIntoView({behavior:t,block:"start",inline:"nearest"}):this.isElementInViewport(e)||r&&!n||i.scrollIntoView({behavior:t,block:"center",inline:"nearest"})}}removeHighlight(){this.overlayElement&&(this.overlayElement.style.display="none")}updateHighlightElement(e,t){let o=e.getBoundingClientRect(),n=!1;const i=o.left>M?Math.round(o.left-M+window.scrollX):Math.round(o.left+window.scrollX);let r=i;let s=o.left>M?Math.max(o.width+2*M,S):Math.max(o.width,S);const a=o.top>M?Math.round(o.top-M+window.scrollY):Math.round(o.top+window.scrollY);let l=a;let d=o.top>M?Math.max(o.height+2*M,F):Math.max(o.height,F);if((o.height<3||o.width<3)&&(n=!0),a<0||i<0)if(n=!0,e.parentNode){const t=e.parentNode.getBoundingClientRect();t.top>0&&t.left>0?(l=t.top>M?Math.round(t.top-M+window.scrollY):Math.round(t.top+window.scrollY),r=t.left>M?Math.round(t.left-M+window.scrollX):Math.round(t.left+window.scrollX)):(r=M,l=M)}else r=M,l=M;return this.overlayElem.style.left=r+"px",this.overlayElem.style.top=l+"px",n?(this.borderElem.textContent="Heading is hidden",this.borderElem.classList.add("skip-to-hidden"),this.overlayElem.style.width="auto",this.overlayElem.style.height="auto",this.borderElem.style.width="auto",this.borderElem.style.height="auto",d=this.borderElem.getBoundingClientRect().height,s=this.borderElem.getBoundingClientRect().width,o.top>M&&(d+=M+2,s+=M+2)):(this.borderElem.textContent="",this.borderElem.classList.remove("skip-to-hidden"),this.overlayElem.style.width=s+"px",this.overlayElem.style.height=d+"px",this.borderElem.style.width=s-2*I+"px",this.borderElem.style.height=d-2*I+"px"),this.overlayElem.style.display="block",t?(this.infoElem.style.display="inline-block",this.infoElem.textContent=t,l>=this.infoElem.getBoundingClientRect().height?(this.borderElem.classList.remove("hasInfoBottom"),this.infoElem.classList.remove("hasInfoBottom"),this.borderElem.classList.add("hasInfoTop"),this.infoElem.classList.add("hasInfoTop"),this.infoElem.style.top=n?-1*(this.infoElem.getBoundingClientRect().height+this.borderElem.getBoundingClientRect().height)+"px":-1*(d+this.infoElem.getBoundingClientRect().height-2*I)+"px"):(this.borderElem.classList.remove("hasInfoTop"),this.infoElem.classList.remove("hasInfoTop"),this.borderElem.classList.add("hasInfoBottom"),this.infoElem.classList.add("hasInfoBottom"),this.infoElem.style.top="-2px"),this.infoElem):(this.borderElem.classList.remove("hasInfo"),this.infoElem.style.display="none",this.overlayElem)}}new t("[shortcutsMessage]",!1).flag=!1;const z=e.default,O=document.createElement("template");O.textContent=`\n/* shortcutsMessage.css */\n:root {\n color-scheme: light dark;\n}\n\n#${c} {\n position: fixed;\n top: 50%;\n left: 50%;\n transform: translate(-50%,-50%);\n\n font-family: $fontFamily;\n font-size: $fontSize;\n max-width: 70%;\n margin: 0;\n padding: 0;\n background-color: light-dark($dialogBackgroundColor, $dialogBackgroundDarkColor);\n border: 2px solid light-dark($focusBorderColor, $focusBorderDarkColor);\n border-radius: 5px;\n color: light-dark($dialogTextColor, $dialogTextDarkColor);\n z-index: 2000001;\n opacity: 1;\n}\n\n#${c} .header {\n margin: 0;\n padding: 4px;\n border-bottom: 1px solid light-dark($focusBorderColor, $focusBorderDarkColor);\n border-top-left-radius: 5px;\n border-top-right-radius: 5px;\n font-weight: bold;\n background-color: light-dark($dialogBackgroundTitleColor, $dialogBackgroundTitleDarkColor);\n color light-dark($dialogTextColor, $dialogTextDarkColor);\n font-size: 100%;\n}\n\n#${c} .content {\n margin-left: 2em;\n margin-right: 2em;\n margin-top: 2em;\n margin-bottom: 2em;\n background-color: light-dark($dialogBackgroundColor, $dialogBackgroundDarkColor);\n color: light-dark($dialogTextColor, $dialogTextDarkColor);\n font-size: 110%;\n text-algin: center;\n}\n\n#${c}.hidden {\n display: none;\n}\n\n#${c}.show {\n display: block;\n opacity: 1;\n}\n\n#${c}.fade {\n opacity: 0;\n transition: visibility 0s 1s, opacity 1s linear;\n}\n\n@media (forced-colors: active) {\n\n #${c} {\n background-color: Canvas;\n color CanvasText;\n border-color: AccentColor;\n }\n\n #${c} .header {\n background-color: Canvas;\n color CanvasText;\n }\n\n #${c} .content {\n background-color: Canvas;\n color: CanvasText;\n }\n}\n\n`;class K extends HTMLElement{constructor(){super(),this.attachShadow({mode:"open"}),this.messageDialog=document.createElement("div"),this.messageDialog.id=c,this.messageDialog.classList.add("hidden"),this.shadowRoot.appendChild(this.messageDialog);const e=document.createElement("div");e.className="header",e.textContent="SkipTo.js Message",this.messageDialog.appendChild(e),this.contentElem=document.createElement("div"),this.contentElem.className="content",this.messageDialog.appendChild(this.contentElem),this.timeoutShowID=!1,this.timeoutFadeID=!1}configureStyle(e={}){function t(e,t,o,n){return o?e.replaceAll(t,o):e.replaceAll(t,n)}let o=O.textContent.slice(0);o=t(o,"$fontFamily",e.fontFamily,z.fontFamily),o=t(o,"$fontSize",e.fontSize,z.fontSize),o=t(o,"$focusBorderColor",e.focusBorderColor,z.focusBorderColor),o=t(o,"$focusBorderDarkColor",e.focusBorderDarkColor,z.focusBorderDarkColor),o=t(o,"$dialogTextColor",e.dialogTextColor,z.dialogTextColor),o=t(o,"$dialogTextDarkColor",e.dialogTextDarkColor,z.dialogTextDarkColor),o=t(o,"$dialogBackgroundColor",e.dialogBackgroundColor,z.dialogBackgroundColor),o=t(o,"$dialogBackgroundDarkColor",e.dialogBackgroundDarkColor,z.dialogBackgroundDarkColor),o=t(o,"$dialogBackgroundTitleColor",e.dialogBackgroundTitleColor,z.dialogBackgroundTitleColor),o=t(o,"$dialogBackgroundTitleDarkColor",e.dialogBackgroundTitleDarkColor,z.dialogBackgroundTitleDarkColor);let n=this.shadowRoot.querySelector("style");n&&n.remove(),(n=document.createElement("style")).textContent=o,this.shadowRoot.appendChild(n)}close(){this.messageDialog.classList.remove("show"),this.messageDialog.classList.remove("fade"),this.messageDialog.classList.add("hidden")}open(e){clearInterval(this.timeoutFadeID),clearInterval(this.timeoutShowID),this.messageDialog.classList.remove("hidden"),this.messageDialog.classList.remove("fade"),this.messageDialog.classList.add("show"),this.contentElem.textContent=e;const t=this;this.timeoutFadeID=setTimeout(()=>{t.messageDialog.classList.add("fade"),t.messageDialog.classList.remove("show")},3e3),this.timeoutShowID=setTimeout(()=>{t.close()},4e3)}}function _(e){return function(e){return!!e&&(e.nodeType===Node.TEXT_NODE&&(e=e.parentNode),e.nodeType===Node.ELEMENT_NODE&&e.hasAttribute("aria-hidden")&&"false"===e.getAttribute("aria-hidden").toLowerCase())}(e)||!function(e){if(!e)return!1;if(e.nodeType===Node.TEXT_NODE&&(e=e.parentNode),e.nodeType===Node.ELEMENT_NODE){const t=window.getComputedStyle(e,null).getPropertyValue("visibility");if(t)return"hidden"===t||"collapse"===t}return!1}(e)&&!function(e){if(!e)return!1;if(e.nodeType===Node.TEXT_NODE&&(e=e.parentNode),e.nodeType===Node.ELEMENT_NODE){if(e.hasAttribute("hidden"))return!0;if(e.hasAttribute("aria-hidden")&&"true"===e.getAttribute("aria-hidden").toLowerCase())return!0;const t=window.getComputedStyle(e,null).getPropertyValue("display");if(t)return"none"===t}return!1}(e)}function q(e){let t,o="",n=[];switch(e.nodeType){case Node.ELEMENT_NODE:if(e.hasAttribute("aria-label"))_(e)&&(o=e.getAttribute("aria-label"));else if(e instanceof HTMLSlotElement){(e.assignedNodes().length?e.assignedNodes():e.assignedNodes({flatten:!0})).forEach(e=>{(t=q(e)).length&&n.push(t)}),o=n.length?n.join(" "):""}else if(function(e){switch(e.tagName.toLowerCase()){case"img":case"area":return!0;case"input":return e.type&&"image"===e.type}return!1}(e)&&_(e))o=L(e,"alt");else if(e.hasChildNodes()){Array.from(e.childNodes).forEach(e=>{(t=q(e)).length&&n.push(t)}),o=n.length?n.join(" "):""}o=function(e,t){let o=t,n=getComputedStyle(e,":before").content,i=getComputedStyle(e,":after").content;'"'!==n[0]||n.toLowerCase().includes("moz-")||(o=n.substring(1,n.length-1)+o);'"'!==i[0]||i.toLowerCase().includes("moz-")||(o+=i.substring(1,i.length-1));return o}(e,o);break;case Node.TEXT_NODE:_(e)&&(o=$(e.textContent))}return o}function j(e,t,o=!1){let n="";return""===(n=function(e,t,o){const n=L(t,o),i=[];if(n.length){const t=n.split(" ");for(let o=0;o<t.length;o++){const n=e.getElementById(t[o]);if(n){const e=q(n);e&&e.length&&i.push(e)}}}if(i.length)return i.join(" ");return""}(e,t,"aria-labelledby"))&&t.hasAttribute("aria-label")&&(n=t.getAttribute("aria-label").trim()),""===n&&o&&(n=q(t)),""===n&&""!==t.title.trim()&&(n=t.title.trim()),n}new t("nameFrom",!1).flag=!1,new t("accName",!1).flag=!1;const X=new t("landmarksHeadings",!1);X.flag=!1;const Y=["base","content","frame","iframe","input[type=hidden]","link","meta","noscript","script","style","template","shadow","title"],V=["banner","complementary","contentinfo","form","main","navigation","region","search"],U=["article","aside","footer","header","main","nav","region","section"],W=["h1","h2","h3","h4","h5","h6"];let J=0;function Q(){return J}function Z(){J+=1}function ee(e){const t=e.tagName.toLowerCase(),o=e.hasAttribute("type")?e.getAttribute("type"):"",n="input"===t&&o.length?`${t}[type=${o}]`:t;return Y.includes(n)}function te(e){return e.tagName.indexOf("-")>=0}function oe(e){return e instanceof HTMLSlotElement}function ne(e){for(e=e&&e.parentNode;e&&e.nodeType===Node.ELEMENT_NODE;){const t=e.tagName.toLowerCase();let o=e.getAttribute("role");if(o&&(o=o.toLowerCase()),U.includes(t)||V.includes(o))return!1;e=e.parentNode}return!0}function ie(e){return function t(o){var n=null;for(let i=o.firstChild;null!==i;i=i.nextSibling)if(i.nodeType===Node.ELEMENT_NODE){if(i.getAttribute("data-skip-to-id")===e)return i;if(!ee(i))if(oe(i)){const o=i.assignedNodes().length?i.assignedNodes():i.assignedNodes({flatten:!0});for(let i=0;i<o.length;i+=1){const r=o[i];if(r.nodeType===Node.ELEMENT_NODE){if(r.getAttribute("data-skip-to-id")===e)return r;if(n=t(r))return n}}}else if(te(i)){if(i.shadowRoot){if(n=t(i.shadowRoot))return n}else if(n=t(i))return n}else if(n=t(i))return n}return!1}(document.body)}function re(e,t){function o(e,t){var n=null;for(let i=e.firstChild;null!==i;i=i.nextSibling)if(i.nodeType===Node.ELEMENT_NODE&&!ee(i))if(oe(i)){const e=i.assignedNodes().length?i.assignedNodes():i.assignedNodes({flatten:!0});for(let i=0;i<e.length;i+=1){const r=e[i];if(r.nodeType===Node.ELEMENT_NODE){if(r.tagName.toLowerCase()===t&&w(r))return r;if(n=o(r,t))return n}}}else if(te(i)){if(i.shadowRoot){if(n=o(i.shadowRoot,t))return n}else if(n=o(i,t))return n}else{if(i.tagName.toLowerCase()===t&&w(i))return i;if(n=o(i,t))return n}return!1}let n=!1;for(let i=0;i<t.length&&!(n=o(e,t[i]));i+=1);return n||e}function se(e){let t;const o=e.classList.contains("landmark"),n=e.classList.contains("skip-to-search"),i=e.classList.contains("skip-to-nav");!function(e,t,o,n){let i=!1,r=!1;const s=["input","button","a"],a=["a","input","button"],l=["h1","h2","h3","h4","h5","h6","section","article","p","li","a"];e&&(o&&(i=re(e,s)),n&&(i=re(e,a)),i&&w(i)?(i.tabIndex>=0?i.focus():(i.tabIndex=0,i.focus(),i.tabIndex=-1),i.scrollIntoView({block:"center"})):(t&&(r=re(e,l))&&(e=r),e.tabIndex>=0?e.focus():(e.tabIndex=0,e.focus(),e.tabIndex=-1),e.scrollIntoView({block:"center"})))}(t=ie(e.getAttribute("data-id")),o,n,i)}function ae(e){const t=e.tagName.toLowerCase(),o=e.hasAttribute("role")?e.getAttribute("role").toLowerCase():"";return"presentation"!==o&&"none"!==o&&("main"===t||"main"===o)}function le(e,t,o){let n=[],i=[],r=function(e){let t=[];(e=e.toLowerCase()).includes("main")&&t.push("main");e.includes("search")&&t.push("search");(e.includes("nav")||e.includes("navigation"))&&t.push("navigation");(e.includes("complementary")||e.includes("aside"))&&t.push("complementary");(e.includes("banner")||e.includes("header"))&&t.push("banner");(e.includes("contentinfo")||e.includes("footer"))&&t.push("contentinfo");(e.includes("region")||e.includes("section"))&&t.push("region");return t}(e.toLowerCase()),s=function(e){let t=[];return["h1","h2","h3","h4","h5","h6"].forEach(o=>{e.includes(o)&&t.push(o)}),t}(t.toLowerCase()),a=t.includes("main")||t.includes("main-only");function l(e,t,d=null,u=!1){function c(e,t){const n=function(e){if(e.hasAttribute("role")){const t=e.getAttribute("role").toLowerCase();if(V.indexOf(t)>=0)return t}else switch(e.tagName.toLowerCase()){case"aside":return"complementary";case"main":return"main";case"nav":return"navigation";case"header":if(ne(e))return"banner";break;case"footer":if(ne(e))return"contentinfo";break;case"section":if(e.hasAttribute("aria-label")||e.hasAttribute("aria-labelledby"))return"region"}return""}(t);if(n&&t.id!==o){const o=j(e,t);t.setAttribute("data-skip-to-info",`landmark ${n}`),t.setAttribute("data-skip-to-acc-name",o),r.indexOf(n)>=0&&i.push({node:t,name:o})}}function h(e,t,o){const i=!!t.role&&"heading"===t.role.toLowerCase(),r=parseInt(t.ariaLevel)>0,l=i&&r?`h${t.ariaLevel}`:t.tagName.toLowerCase(),d=i&&r?t.ariaLevel:W.includes(l)?l.substring(1):"";if(W.includes(l)||i&&r){const i=j(e,t,!0);t.setAttribute("data-skip-to-info",`heading ${l}`),t.setAttribute("data-skip-to-acc-name",i),s.indexOf(l)>=0&&(a&&!o||n.push({node:t,tagName:l,level:d,name:i,inMain:o}))}}for(let o=e.firstChild;null!==o;o=o.nextSibling)if(o.nodeType===Node.ELEMENT_NODE&&(X.flag&&X.log(`[transverseDOM][node]: ${o.tagName} isSlot:${oe(o)} isCustom:${te(o)}`),c(t,o),h(t,o,u),u=ae(o)||u,!ee(o)))if(oe(o)){const e=o.assignedNodes().length>0,n=e?o.assignedNodes():o.assignedNodes({flatten:!0}),i=e?d:t;for(let o=0;o<n.length;o+=1){const r=n[o];r.nodeType===Node.ELEMENT_NODE&&(c(i,r),h(i,r,u),e?l(r,d,null,u):l(r,t,d,u))}}else te(o)&&o.shadowRoot?l(o.shadowRoot,o.shadowRoot,t,u):l(o,t,d,u)}return l(document.body,document),0===n.length&&a&&(a=!1,i=[],l(document.body,document),0===n.length?console.warn("[skipTo.js]: no headings found on page"):console.warn(`[skipTo.js]: no headings found in main landmark, but ${n.length} found in page.`)),0===i.length&&console.warn("[skipTo.js]: no landmarks found on page"),[i,n]}function de(e,t){let o=e.landmarks;"string"!=typeof o&&(console.warn("[skipto.js]: Error in landmark configuration"),o="main search navigation");let n=e.headings;"string"!=typeof n&&(console.warn("[skipto.js]: Error in heading configuration"),n="main-only h1 h2");const[i,r]=le(o,n,t);return[he(e,i),ue(e,r)]}function ue(e,t){let o,n=[];for(let i=0,r=t.length;i<r;i+=1){let r=t[i],s=r.node.getAttribute("role");if(("string"!=typeof s||"presentation"!==s&&"none"!==s)&&(w(r.node)&&T(r.node.textContent))){r.node.hasAttribute("data-skip-to-id")?o=r.node.getAttribute("data-skip-to-id"):(o=Q(),r.node.setAttribute("data-skip-to-id",o));const t={};t.dataId=o.toString(),t.class="heading",t.name=r.name,t.ariaLabel=t.name+", ",t.ariaLabel+=e.headingLevelLabel+" "+r.level,t.tagName=r.tagName,t.role="heading",t.level=r.level,t.inMain=r.inMain,n.push(t),Z()}}return n}function ce(e,t,o){let n;switch(t){case"aside":n=e.asideLabel;break;case"footer":n=e.footerLabel;break;case"form":n=e.formLabel;break;case"header":n=e.headerLabel;break;case"main":n=e.mainLabel;break;case"nav":n=e.navLabel;break;case"section":case"region":n=e.regionLabel;break;case"search":n=e.searchLabel;break;default:n=t}return T(o)&&(n+=": "+o),n}function he(e,t){let o=[],n=[],i=[],r=[],s=[],a=[],l=[],d=[],u="";for(let c=0,h=t.length;c<h;c+=1){let h=t[c];if("id-skip-to"===h.node.id)continue;let g=h.node.getAttribute("role"),m=h.node.tagName.toLowerCase();if(("string"!=typeof g||"presentation"!==g&&"none"!==g)&&w(h.node)){switch(g||(g=m),g){case"banner":m="header";break;case"complementary":m="aside";break;case"contentinfo":m="footer";break;case"form":m="form";break;case"main":m="main";break;case"navigation":m="nav";break;case"region":m="section";break;case"search":m="search"}h.node.hasAttribute("aria-roledescription")&&(m=h.node.getAttribute("aria-roledescription").trim().replace(" ","-")),h.node.hasAttribute("data-skip-to-id")?u=h.node.getAttribute("data-skip-to-id"):(u=Q(),h.node.setAttribute("data-skip-to-id",u));const t={};switch(t.dataId=u.toString(),t.class="landmark",t.hasName=h.name.length>0,t.name=ce(e,m,h.name),t.tagName=m,t.nestingLevel=0,Z(),o.push(t),m){case"main":n.push(t);break;case"search":i.push(t);break;case"nav":r.push(t);break;case"aside":s.push(t);break;case"footer":a.push(t);break;case"section":t.hasName&&l.push(t);break;default:d.push(t)}}}return e.landmarks.includes("doc-order")?o:[].concat(n,i,r,s,l,a,d)}const ge=new t("shortcuts",!1);function me(e,t,o,n=!1,i=!1){const r=fe();let s,a=r,l=0;do{s=a,a=pe(e,t,a,n,i),ge.flag&&ge.log(`[navigateContent][elem]: ${a} (${s===a})`),a&&(a.tabIndex=a.tabIndex>=0?a.tabIndex:-1,a.focus()),l+=1}while(a&&l<100&&s!==a&&r===fe());if(a){let e=a.hasAttribute("data-skip-to-info")?a.getAttribute("data-skip-to-info").replace("heading","").replace("landmark","").trim():"unknown";if(a.getAttribute("data-skip-to-info").includes("heading")&&(e=o.replace("#",e.substring(1))),a.hasAttribute("data-skip-to-acc-name")){const t=a.getAttribute("data-skip-to-acc-name").trim();t&&(e+=`: ${t}`)}const t=document.querySelector(k);t&&t.highlight(a,"instant",e,!0)}return a}function pe(e,t,o,n=!1,i=!1){let r=!1,s=!1,a=!1;const l=o||fe();a=l===document.body;let d=function o(n){function d(o){return o.hasAttribute("data-skip-to-info")&&o.getAttribute("data-skip-to-info").includes(e)&&(!i||i&&o.hasAttribute("data-skip-to-acc-name")&&o.getAttribute("data-skip-to-acc-name").trim().length>0)&&(e.includes("heading")&&ge.flag&&ge.log(`[checkForTarget][${o.tagName}]: ${o.textContent.trim().substring(0,10)} (vis:${w(o)} pf:${a})`),!s&&w(o)&&(ge.flag&&ge.log("[checkForTarget][firstNode]"),s=o),o!==l&&w(o)&&(ge.flag&&ge.log("[checkForTarget][lastNode]"),r=o),a&&"next"===t&&w(o))?(ge.flag&&ge.log("[checkForTarget][found]"),o):o===l&&(a=!0,ge.flag&&ge.log(`[checkForTarget][passFound]: ${o.tagName}`),"previous"===t)&&r}let u=null;for(let e=n.firstChild;null!==e;e=e.nextSibling)if(e.nodeType===Node.ELEMENT_NODE){if(u=d(e))return u;if(!ee(e))if(oe(e)){const t=e.assignedNodes().length?e.assignedNodes():e.assignedNodes({flatten:!0});for(let e=0;e<t.length;e+=1){const n=t[e];if(n.nodeType===Node.ELEMENT_NODE){if(u=d(n))return u;if(u=o(n))return u}}}else if(te(e)){if(e.shadowRoot){if(u=o(e.shadowRoot))return u}else if(u=o(e))return u}else if(u=o(e))return u}return!1}(document.body);return!d&&n&&s&&(d=s),d}function fe(){let e=document.activeElement;for(;e.shadowRoot&&e.shadowRoot.activeElement;)e=e.shadowRoot.activeElement;return e}ge.flag=!1;const be=new t("[kbdHelpers]",!1);function ke(e){const t=["button","checkbox","color","image","radio","range","reset","submit"],o=e.tagName?e.tagName.toLowerCase():"",n="input"===o?e.type?e.type.toLowerCase():"text":"";return be.flag&&be.log(`[elementTakesText][type]: ${n} (${t.includes(n)})`),"select"===o||"textarea"===o||"input"===o&&!t.includes(n)||function(e){let t=e;for(;t.hasAttribute;){if(t.hasAttribute("contenteditable")&&"false"!==t.getAttribute("contenteditable").toLowerCase().trim())return!0;t=t.parentNode}return!1}(e)}be.flag=!1;const Ce=new t("SkipToButton",!1);Ce.flag=!1;class xe{constructor(e){this.skipToContentElem=e,this.config=e.config;const t="nav"===this.config.containerElement.toLowerCase().trim()?"nav":"div";this.containerNode=document.createElement(t),e.shadowRoot.appendChild(this.containerNode),this.containerNode.id=o,"nav"===t&&this.containerNode.setAttribute("aria-label",this.config.buttonLabel),T(this.config.customClass)&&this.containerNode.classList.add(this.config.customClass),this.setDisplayOption(this.config.displayOption);const[n,c]=this.getBrowserSpecificShortcut(this.config);this.buttonNode=document.createElement("button"),this.buttonNode.setAttribute("aria-haspopup","menu"),this.buttonNode.setAttribute("aria-expanded","false"),this.buttonNode.setAttribute("aria-label",c),this.buttonNode.setAttribute("aria-controls",i),this.buttonNode.addEventListener("keydown",this.handleButtonKeydown.bind(this)),this.buttonNode.addEventListener("click",this.handleButtonClick.bind(this)),this.containerNode.appendChild(this.buttonNode),this.textButtonNode=document.createElement("span"),this.buttonNode.appendChild(this.textButtonNode),this.textButtonNode.classList.add("skipto-text"),this.textButtonNode.textContent=n,this.smallButtonNode=document.createElement("span"),this.buttonNode.appendChild(this.smallButtonNode),this.smallButtonNode.classList.add("skipto-small"),this.smallButtonNode.textContent=this.config.smallButtonLabel,this.mediumButtonNode=document.createElement("span"),this.buttonNode.appendChild(this.mediumButtonNode),this.mediumButtonNode.classList.add("skipto-medium"),this.mediumButtonNode.textContent=this.config.buttonLabel,this.menuitemNodes=[],this.menuNode=document.createElement("div"),this.menuNode.setAttribute("id",i),this.menuNode.setAttribute("role","menu"),this.menuNode.setAttribute("aria-label",this.config.menuLabel),this.containerNode.appendChild(this.menuNode),this.landmarkGroupLabelNode=document.createElement("div"),this.landmarkGroupLabelNode.setAttribute("id",s),this.landmarkGroupLabelNode.setAttribute("role","separator"),this.landmarkGroupLabelNode.textContent=this.addNumberToGroupLabel(this.config.landmarkGroupLabel),this.menuNode.appendChild(this.landmarkGroupLabelNode),this.landmarkGroupNode=document.createElement("div"),this.landmarkGroupNode.setAttribute("id",r),this.landmarkGroupNode.setAttribute("role","group"),this.landmarkGroupNode.className="overflow",this.landmarkGroupNode.setAttribute("aria-labelledby",s),this.menuNode.appendChild(this.landmarkGroupNode),this.headingGroupLabelNode=document.createElement("div"),this.headingGroupLabelNode.setAttribute("id",a),this.headingGroupLabelNode.setAttribute("role","separator"),this.headingGroupLabelNode.textContent=this.addNumberToGroupLabel(this.config.headingGroupLabel),this.menuNode.appendChild(this.headingGroupLabelNode),this.headingGroupNode=document.createElement("div"),this.headingGroupNode.setAttribute("id",a),this.headingGroupNode.setAttribute("role","group"),this.headingGroupNode.className="overflow",this.headingGroupNode.setAttribute("aria-labelledby",l),this.menuNode.appendChild(this.headingGroupNode),this.shortcutsGroupLabelNode=document.createElement("div"),this.shortcutsGroupLabelNode.setAttribute("id",u),this.shortcutsGroupLabelNode.setAttribute("role","separator"),"enabled"===this.config.shortcuts?this.shortcutsGroupLabelNode.textContent=this.config.shortcutsGroupEnabledLabel:this.shortcutsGroupLabelNode.textContent=this.config.shortcutsGroupDisabledLabel,this.menuNode.appendChild(this.shortcutsGroupLabelNode),this.shortcutsGroupNode=document.createElement("div"),this.shortcutsGroupNode.setAttribute("id",d),this.shortcutsGroupNode.setAttribute("role","group"),this.shortcutsGroupNode.setAttribute("aria-labelledby",u),this.menuNode.appendChild(this.shortcutsGroupNode),"true"===this.config.aboutSupported&&this.renderAboutToMenu(this.menuNode,this.config),this.infoDialog=document.querySelector(f),this.infoDialog||(window.customElements.define(f,H),this.infoDialog=document.createElement(f),this.infoDialog.configureStyle(this.config),document.body.appendChild(this.infoDialog)),this.highlightElem=document.querySelector(k),this.highlightElem||(window.customElements.define(k,G),this.highlightElem=document.createElement(k),this.highlightElem.configureStyle(this.config),document.body.appendChild(this.highlightElem)),this.shortcutsMessage=document.querySelector(b),this.shortcutsMessage||(window.customElements.define(b,K),this.shortcutsMessage=document.createElement(b),this.shortcutsMessage.configureStyle(this.config),document.body.appendChild(this.shortcutsMessage)),this.containerNode.addEventListener("focusin",this.handleFocusin.bind(this)),this.containerNode.addEventListener("focusout",this.handleFocusout.bind(this)),this.containerNode.addEventListener("pointerdown",this.handleContainerPointerdown.bind(this),!0),document.documentElement.addEventListener("pointerdown",this.handleBodyPointerdown.bind(this),!0),(this.usesAltKey||this.usesOptionKey)&&document.addEventListener("keydown",this.handleDocumentKeydown.bind(this)),e.shadowRoot.appendChild(this.containerNode),this.focusMenuitem=null}get highlightTarget(){let e=this.config.highlightTarget.trim().toLowerCase();return"enabled smooth".includes(e)?"smooth":"instant"===e?"instant":""}focusButton(){this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button")}addNumberToGroupLabel(e,t=0){return t>0?`${e} (${t})`:e}updateLabels(e){this.containerNode.hasAttribute("aria-label")&&this.containerNode.setAttribute("aria-label",e.buttonLabel);const[t,o]=this.getBrowserSpecificShortcut(e);this.buttonNode.setAttribute("aria-label",o),this.textButtonNode.textContent=t,this.smallButtonNode.textContent=e.smallButtonLabel,this.mediumButtonNode.textContent=e.buttonLabel,this.menuNode.setAttribute("aria-label",e.menuLabel),this.landmarkGroupLabelNode.textContent=this.addNumberToGroupLabel(e.landmarkGroupLabel),this.headingGroupLabelNode.textContent=this.addNumberToGroupLabel(e.headingGroupLabel)}getBrowserSpecificShortcut(e){const t=navigator.platform.toLowerCase(),o=navigator.userAgent.toLowerCase(),n=t.indexOf("win")>=0,i=t.indexOf("mac")>=0,r=t.indexOf("linux")>=0||t.indexOf("bsd")>=0,s=o.indexOf("android")>=0;this.usesAltKey=n||r&&!s,this.usesOptionKey=i;let a,l=e.buttonLabel,d=e.buttonLabel;return e.altShortcut&&e.optionShortcut&&((this.usesAltKey||this.usesOptionKey)&&(a=e.buttonShortcut.replace("$key",e.altShortcut)),this.usesAltKey&&(l+=a=a.replace("$modifier",e.altLabel),d=(d=(d=(d=e.buttonAriaLabel.replace("$key",e.altShortcut)).replace("$buttonLabel",e.buttonLabel)).replace("$modifierLabel",e.altLabel)).replace("$shortcutLabel",e.shortcutLabel)),this.usesOptionKey&&(l+=a=a.replace("$modifier",e.optionLabel),d=(d=(d=(d=e.buttonAriaLabel.replace("$key",e.altShortcut)).replace("$buttonLabel",e.buttonLabel)).replace("$modifierLabel",e.optionLabel)).replace("$shortcutLabel",e.shortcutLabel))),[l,d]}getFirstChar(e){const t=e.querySelector(".label");return t&&T(t.textContent)?t.textContent.trim()[0].toLowerCase():""}getHeadingLevelFromAttribute(e){return e.hasAttribute("data-level")?e.getAttribute("data-level"):""}updateKeyboardShortCuts(){let e;this.firstChars=[],this.headingLevels=[];for(let t=0;t<this.menuitemNodes.length;t+=1)e=this.menuitemNodes[t],this.firstChars.push(this.getFirstChar(e)),this.headingLevels.push(this.getHeadingLevelFromAttribute(e))}updateMenuitems(){let e=this.menuNode.querySelectorAll("[role=menuitem");this.menuitemNodes=[];for(let t=0;t<e.length;t+=1){const o=e[t];o.addEventListener("keydown",this.handleMenuitemKeydown.bind(this)),o.addEventListener("click",this.handleMenuitemClick.bind(this)),o.addEventListener("pointerenter",this.handleMenuitemPointerenter.bind(this)),o.addEventListener("pointerleave",this.handleMenuitemPointerleave.bind(this)),o.addEventListener("pointerover",this.handleMenuitemPointerover.bind(this)),this.menuitemNodes.push(o)}this.firstMenuitem=this.menuitemNodes[0],this.lastMenuitem=this.menuitemNodes[this.menuitemNodes.length-1],this.lastMenuitem.classList.add("last"),this.updateKeyboardShortCuts()}renderAboutToMenu(e,t){const o=document.createElement("div");o.setAttribute("role","separator");const n=document.createElement("div");n.setAttribute("role","menuitem"),n.setAttribute("data-about-info",""),n.className="skip-to-nav skip-to-nesting-level-0",n.tabIndex=-1;const i=document.createElement("span");i.classList.add("label"),i.textContent=t.aboutInfoLabel,n.appendChild(i),e.appendChild(o),e.appendChild(n)}renderMenuitemToGroup(e,t){let o,n,i,r,s=document.createElement("div");return s.setAttribute("role","menuitem"),s.classList.add(t.class),T(t.tagName)&&s.classList.add("skip-to-"+t.tagName.toLowerCase()),s.setAttribute("data-id",t.dataId),s.tabIndex=-1,T(t.ariaLabel)&&s.setAttribute("aria-label",t.ariaLabel),e.appendChild(s),t.class.includes("heading")&&(this.config.enableHeadingLevelShortcuts?(o=document.createElement("span"),(n=document.createElement("span")).appendChild(document.createTextNode(t.level)),o.append(n),o.appendChild(document.createTextNode(")")),o.classList.add("level"),s.append(o)):s.classList.add("no-level"),s.setAttribute("data-level",t.level),T(t.tagName)&&s.classList.add("skip-to-"+t.tagName)),t.class.includes("landmark")&&(s.setAttribute("data-nesting",t.nestingLevel),s.classList.add("skip-to-nesting-level-"+t.nestingLevel),t.nestingLevel>0&&t.nestingLevel>this.lastNestingLevel&&((r=document.createElement("span")).classList.add("nesting"),s.append(r)),this.lastNestingLevel=t.nestingLevel),(i=document.createElement("span")).appendChild(document.createTextNode(t.name)),i.classList.add("label"),s.append(i),s}renderMenuitemsToGroup(e,t,o){for(;e.firstChild;)e.removeChild(e.firstChild);if(this.lastNestingLevel=0,0===t.length){const t={};t.name=o,t.tagName="",t.class="no-items",t.dataId="",this.renderMenuitemToGroup(e,t)}else for(let o=0;o<t.length;o+=1)this.renderMenuitemToGroup(e,t[o])}renderMenu(e,t){for(;this.landmarkGroupNode.lastElementChild;)this.landmarkGroupNode.removeChild(this.landmarkGroupNode.lastElementChild);for(;this.headingGroupNode.lastElementChild;)this.headingGroupNode.removeChild(this.headingGroupNode.lastElementChild);const[o,n]=de(e,t);this.renderMenuitemsToGroup(this.landmarkGroupNode,o,e.msgNoLandmarksFound),this.renderMenuitemsToGroup(this.headingGroupNode,n,e.msgNoHeadingsFound),Ce.flag&&Ce.log(`[shortcutsSupported]: ${e.shortcutsSupported}`),this.renderMenuitemsToShortcutsGroup(this.shortcutsGroupLabelNode,this.shortcutsGroupNode),this.updateMenuitems();const i=n.length>0&&n.reduce((e,t)=>e&&t.inMain,!0);this.landmarkGroupLabelNode.textContent=this.addNumberToGroupLabel(e.landmarkGroupLabel,o.length),e.headings.includes("main")&&i?this.headingGroupLabelNode.textContent=this.addNumberToGroupLabel(e.headingMainGroupLabel,n.length):this.headingGroupLabelNode.textContent=this.addNumberToGroupLabel(e.headingGroupLabel,n.length)}renderMenuitemsToShortcutsGroup(e,t){for(;t.lastElementChild;)t.removeChild(t.lastElementChild);if("true"===this.config.shortcutsSupported){t.classList.remove("shortcuts-disabled"),e.classList.remove("shortcuts-disabled");const o=document.createElement("div");o.setAttribute("role","menuitem"),o.className="shortcuts skip-to-nav skip-to-nesting-level-0",o.setAttribute("tabindex","-1"),t.appendChild(o);const n=document.createElement("span");n.className="label",o.appendChild(n),"enabled"===this.config.shortcuts?(e.textContent=this.config.shortcutsGroupEnabledLabel,o.setAttribute("data-shortcuts-toggle","disable"),n.textContent=this.config.shortcutsToggleDisableLabel):(e.textContent=this.config.shortcutsGroupDisabledLabel,o.setAttribute("data-shortcuts-toggle","enable"),n.textContent=this.config.shortcutsToggleEnableLabel),t.appendChild(o);const i=document.createElement("div");i.setAttribute("role","menuitem"),i.className="shortcuts skip-to-nav skip-to-nesting-level-0",i.setAttribute("tabindex","-1"),i.setAttribute("data-shortcuts-info",""),t.appendChild(i);const r=document.createElement("span");r.className="label",r.textContent=this.config.shortcutsInfoLabel,i.appendChild(r)}else t.classList.add("shortcuts-disabled"),e.classList.add("shortcuts-disabled")}setFocusToMenuitem(e){if(e)if(this.removeHoverClass(e),e.classList.add("hover"),e.focus(),this.skipToContentElem.setAttribute("focus","menu"),this.focusMenuitem=e,e.hasAttribute("data-id")){const t=ie(e.getAttribute("data-id"));this.highlightElem.highlight(t,this.highlightTarget)}else this.highlightElem.removeHighlight()}setFocusToFirstMenuitem(){this.setFocusToMenuitem(this.firstMenuitem)}setFocusToLastMenuitem(){this.setFocusToMenuitem(this.lastMenuitem)}setFocusToPreviousMenuitem(e){let t,o;return e===this.firstMenuitem?t=this.lastMenuitem:(o=this.menuitemNodes.indexOf(e),t=this.menuitemNodes[o-1]),this.setFocusToMenuitem(t),t}setFocusToNextMenuitem(e){let t,o;return e===this.lastMenuitem?t=this.firstMenuitem:(o=this.menuitemNodes.indexOf(e),t=this.menuitemNodes[o+1]),this.setFocusToMenuitem(t),t}setFocusByFirstCharacter(e,t){let o,n;t.length>1||(t=t.toLowerCase(),(o=this.menuitemNodes.indexOf(e)+1)>=this.menuitemNodes.length&&(o=0),-1===(n=this.firstChars.indexOf(t,o))&&(n=this.headingLevels.indexOf(t,o)),-1===n&&(n=this.firstChars.indexOf(t,0)),-1===n&&(n=this.headingLevels.indexOf(t,0)),n>-1&&this.setFocusToMenuitem(this.menuitemNodes[n]))}getIndexFirstChars(e,t){for(let o=e;o<this.firstChars.length;o+=1)if(t===this.firstChars[o])return o;return-1}openPopup(){Ce.flag&&Ce.log("[openPopup]"),this.menuNode.setAttribute("aria-busy","true");const e=30*window.innerHeight/100;this.landmarkGroupNode.style.maxHeight=e+"px",this.headingGroupNode.style.maxHeight=e+"px",this.renderMenu(this.config,this.skipToId),this.menuNode.style.display="block";const t=this.buttonNode.getBoundingClientRect(),o=this.menuNode.getBoundingClientRect(),n=window.innerWidth-t.left-o.width-8;n<0&&(t.left+n<0?this.menuNode.style.left=8-t.left+"px":this.menuNode.style.left=n+"px"),this.menuNode.removeAttribute("aria-busy"),this.buttonNode.setAttribute("aria-expanded","true"),this.skipToContentElem.setAttribute("focus","menu")}closePopup(){Ce.flag&&Ce.log("[closePopup]"),this.isOpen()&&(this.buttonNode.setAttribute("aria-expanded","false"),this.menuNode.style.display="none",this.highlightElem.removeHighlight())}isOpen(){return"true"===this.buttonNode.getAttribute("aria-expanded")}removeHoverClass(e=null){this.menuitemNodes.forEach(t=>{t!==e&&t.classList.remove("hover")})}getMenuitem(e,t){for(let o=0;o<this.menuitemNodes.length;o+=1){const n=this.menuitemNodes[o],i=n.getBoundingClientRect();if(i.left<=e&&i.right>=e&&i.top<=t&&i.bottom>=t)return n}return!1}isOverButton(e,t){const o=this.buttonNode.getBoundingClientRect();return o.left<=e&&o.right>=e&&o.top<=t&&o.bottom>=t}isOverMenu(e,t){const o=this.menuNode.getBoundingClientRect();return o.left<=e&&o.right>=e&&o.top<=t&&o.bottom>=t}setDisplayOption(e){if("string"==typeof e&&(e=e.trim().toLowerCase()).length&&this.containerNode)switch(this.containerNode.classList.remove("static"),this.containerNode.classList.remove("popup"),this.containerNode.classList.remove("show-border"),e){case"static":this.containerNode.classList.add("static");break;case"onfocus":case"popup":this.containerNode.classList.add("popup");break;case"popup-border":this.containerNode.classList.add("popup"),this.containerNode.classList.add("show-border")}}handleFocusin(){this.containerNode.classList.add("focus"),this.skipToContentElem.setAttribute("focus","button")}handleFocusout(){this.containerNode.classList.remove("focus"),this.skipToContentElem.setAttribute("focus","none")}handleButtonKeydown(e){let t=!1;switch(e.key){case" ":case"Enter":case"ArrowDown":case"Down":this.openPopup(),this.setFocusToFirstMenuitem(),t=!0;break;case"Esc":case"Escape":this.closePopup(),this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button"),t=!0;break;case"Up":case"ArrowUp":this.openPopup(),this.setFocusToLastMenuitem(),t=!0}t&&(e.stopPropagation(),e.preventDefault())}handleButtonClick(e){Ce.flag&&Ce.log("[handleButtonClick]"),this.isOpen()?(this.closePopup(),this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button")):(this.openPopup(),this.setFocusToFirstMenuitem()),e.stopPropagation(),e.preventDefault()}handleDocumentKeydown(e){this.shortcutsMessage.close();let t,o=!1;const n=fe();if(Ce.flag&&Ce.log(`[handleDocumentKeydown][elementTakesText][${e.target.tagName}]: ${ke(n)}`),!ke(n)){const n=this.usesAltKey&&function(e){return e.altKey&&!e.ctrlKey&&!e.shiftKey&&!e.metaKey}(e),i=this.usesOptionKey&&function(e){return e.altKey&&!e.ctrlKey&&!e.shiftKey&&!e.metaKey}(e);if((i&&this.config.optionShortcut===e.key||n&&this.config.altShortcut===e.key||(i||n)&&48===e.keyCode)&&(this.openPopup(),this.setFocusToFirstMenuitem(),o=!0),"enabled"===this.config.shortcuts&&(function(e){return!e.altKey&&!e.ctrlKey&&e.shiftKey&&!e.metaKey}(e)||function(e){return!(e.altKey||e.ctrlKey||e.shiftKey||e.metaKey)}(e)))switch(e.key){case" ":case"":break;case this.config.shortcutRegionNext:(t=me("landmark","next",this.config.msgHeadingLevel))||this.shortcutsMessage.open(this.config.msgNoMoreRegions),o=!0;break;case this.config.shortcutRegionPrevious:(t=me("landmark","previous",this.config.msgHeadingLevel))||this.shortcutsMessage.open(this.config.msgNoMoreRegions),o=!0;break;case this.config.shortcutRegionComplementary:(t=me("complementary","next",this.config.msgHeadingLevel,!0))||this.shortcutsMessage.open(this.config.msgNoMoreRegions.replace("%r","complementary")),o=!0;break;case this.config.shortcutRegionMain:(t=me("main","next",this.config.msgHeadingLevel,!0))||this.shortcutsMessage.open(this.config.msgNoMoreRegions.replace("%r","main")),o=!0;break;case this.config.shortcutRegionNavigation:(t=me("navigation","next",this.config.msgHeadingLevel,!0))||this.shortcutsMessage.open(this.config.msgNoMoreRegions.replace("%r","navigation")),o=!0;break;case this.config.shortcutHeadingNext:(t=me("heading","next",this.config.msgHeadingLevel,!1,!0))||this.shortcutsMessage.open(this.config.msgNoMoreHeadings),o=!0;break;case this.config.shortcutHeadingPrevious:(t=me("heading","previous",this.config.msgHeadingLevel,!1,!0))||this.shortcutsMessage.open(this.config.msgNoMoreHeadings),o=!0;break;case this.config.shortcutHeadingH1:(t=me("h1","next",this.config.msgHeadingLevel,!0,!0))||this.shortcutsMessage.open(this.config.msgNoHeadingsLevelFound.replace("%h","1")),o=!0;break;case this.config.shortcutHeadingH2:(t=me("h2","next",this.config.msgHeadingLevel,!0,!0))||this.shortcutsMessage.open(this.config.msgNoHeadingsLevelFound.replace("%h","2")),o=!0;break;case this.config.shortcutHeadingH3:(t=me("h3","next",this.config.msgHeadingLevel,!0,!0))||this.shortcutsMessage.open(this.config.msgNoHeadingsLevelFound.replace("%h","3")),o=!0;break;case this.config.shortcutHeadingH4:(t=me("h4","next",this.config.msgHeadingLevel,!0,!0))||this.shortcutsMessage.open(this.config.msgNoHeadingsLevelFound.replace("%h","4")),o=!0;break;case this.config.shortcutHeadingH5:(t=me("h5","next",this.config.msgHeadingLevel,!0,!0))||this.shortcutsMessage.open(this.config.msgNoHeadingsLevelFound.replace("%h","5")),o=!0;break;case this.config.shortcutHeadingH6:(t=me("h6","next",this.config.msgHeadingLevel,!0,!0))||this.shortcutsMessage.open(this.config.msgNoHeadingsLevelFound.replace("%h","6")),o=!0}o&&(e.stopPropagation(),e.preventDefault())}}handleMenuitemAction(e){if(e.hasAttribute("data-id"))switch(e.getAttribute("data-id")){case"":break;default:this.closePopup(),se(e)}e.hasAttribute("data-shortcuts-toggle")&&("enable"===e.getAttribute("data-shortcuts-toggle")?this.skipToContentElem.setAttribute("shortcuts","enable"):this.skipToContentElem.setAttribute("shortcuts","disable"),this.closePopup()),e.hasAttribute("data-shortcuts-info")&&(this.infoDialog.updateShortcutContent(this.skipToContentElem.config),this.infoDialog.openDialog(),this.closePopup()),e.hasAttribute("data-about-info")&&(this.infoDialog.updateAboutContent(this.skipToContentElem.config),this.infoDialog.openDialog(),this.closePopup())}handleMenuitemKeydown(e){let t=e.currentTarget,o=e.key,n=!1;function i(e){return 1===e.length&&e.match(/\S/)}if(!(e.ctrlKey||e.altKey||e.metaKey)){if(e.shiftKey)i(o)&&(this.setFocusByFirstCharacter(t,o),n=!0),"Tab"===e.key&&(this.closePopup(),this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button"),n=!0);else switch(o){case"Enter":case" ":this.handleMenuitemAction(t),n=!0;break;case"Esc":case"Escape":this.closePopup(),this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button"),n=!0;break;case"Left":case"ArrowLeft":case"Up":case"ArrowUp":this.setFocusToPreviousMenuitem(t),n=!0;break;case"ArrowRight":case"Right":case"ArrowDown":case"Down":this.setFocusToNextMenuitem(t),n=!0;break;case"Home":case"PageUp":this.setFocusToFirstMenuitem(),n=!0;break;case"End":case"PageDown":this.setFocusToLastMenuitem(),n=!0;break;case"Tab":this.closePopup();break;default:i(o)&&(this.setFocusByFirstCharacter(t,o),n=!0)}n&&(e.stopPropagation(),e.preventDefault())}}handleMenuitemClick(e){this.handleMenuitemAction(e.currentTarget),e.stopPropagation(),e.preventDefault()}handleMenuitemPointerenter(e){Ce.flag&&Ce.log("[enter]");let t=e.currentTarget;if(t.classList.add("hover"),t.hasAttribute("data-id")){const e=ie(t.getAttribute("data-id"));this.highlightElem.highlight(e,this.highlightTarget)}else this.highlightElem.removeHighlight();e.stopPropagation(),e.preventDefault()}handleMenuitemPointerover(e){Ce.flag&&Ce.log("[over]");let t=e.currentTarget;if(t.hasAttribute("data-id")){const e=ie(t.getAttribute("data-id"));this.highlightElem.highlight(e,this.highlightTarget)}else this.highlightElem.removeHighlight();e.stopPropagation(),e.preventDefault()}handleMenuitemPointerleave(e){Ce.flag&&Ce.log("[leave]"),e.currentTarget.classList.remove("hover"),e.stopPropagation(),e.preventDefault()}handleContainerPointerdown(e){Ce.flag&&Ce.log(`[down]: target: ${e.pointerId}`),this.isOverButton(e.clientX,e.clientY)?this.containerNode.releasePointerCapture(e.pointerId):(this.containerNode.setPointerCapture(e.pointerId),this.containerNode.addEventListener("pointermove",this.handleContainerPointermove.bind(this)),this.containerNode.addEventListener("pointerup",this.handleContainerPointerup.bind(this)),this.containerNode.contains(e.target)&&(this.isOpen()?this.isOverMenu(e.clientX,e.clientY)||(Ce.flag&&Ce.log("[down][close]"),this.closePopup(),this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button")):(Ce.flag&&Ce.log("[down][open]"),this.openPopup(),this.setFocusToFirstMenuitem()))),e.stopPropagation(),e.preventDefault()}handleContainerPointermove(e){const t=this.getMenuitem(e.clientX,e.clientY);if(t)if(this.removeHoverClass(t),t.classList.add("hover"),t.hasAttribute("data-id")){const e=ie(t.getAttribute("data-id"));this.highlightElem.highlight(e,this.highlightTarget)}else this.highlightElem.removeHighlight();e.stopPropagation(),e.preventDefault()}handleContainerPointerup(e){this.containerNode.releasePointerCapture(e.pointerId),this.containerNode.removeEventListener("pointermove",this.handleContainerPointermove),this.containerNode.removeEventListener("pointerup",this.handleContainerPointerup);const t=this.getMenuitem(e.clientX,e.clientY),o=this.isOverButton(e.clientX,e.clientY);Ce.flag&&Ce.log(`[up] isOverButton: ${o} getMenuitem: ${t} id: ${e.pointerId}`),t?this.handleMenuitemAction(t):o||(Ce.flag&&Ce.log("[up] not over button "),this.isOpen()&&(Ce.flag&&Ce.log("[up] close "),this.closePopup(),this.buttonNode.focus(),this.skipToContentElem.setAttribute("focus","button"))),e.stopPropagation(),e.preventDefault()}handleBodyPointerdown(e){Ce.flag&&Ce.log(`[handleBodyPointerdown]: target: ${e.pointerId}`),this.isOverButton(e.clientX,e.clientY)||this.isOverMenu(e.clientX,e.clientY)||this.closePopup()}}const ye=new t("skiptoContent",!1);ye.flag=!1;class ve extends HTMLElement{constructor(){super(),this.attachShadow({mode:"open"}),this.version="5.7.4",this.buttonSkipTo=!1,this.initialized=!1,this.config={enableHeadingLevelShortcuts:!0,lightDarkSupported:"false",focusOption:"none",altShortcut:"0",optionShortcut:"º",displayOption:"",containerElement:"nav",containerRole:"",customClass:"",buttonLabel:"Skip To Content",smallButtonLabel:"SkipTo",altLabel:"Alt",optionLabel:"Option",shortcutLabel:"shortcut",buttonShortcut:" ($modifier+$key)",buttonAriaLabel:"$buttonLabel, $shortcutLabel $modifierLabel + $key",shortcutsSupported:"true",shortcuts:"enabled",shortcutHeadingNext:"h",shortcutHeadingPrevious:"H",shortcutHeadingH1:"1",shortcutHeadingH2:"2",shortcutHeadingH3:"3",shortcutHeadingH4:"4",shortcutHeadingH5:"5",shortcutHeadingH6:"6",shortcutRegionNext:"r",shortcutRegionPrevious:"R",shortcutRegionMain:"m",shortcutRegionNavigation:"n",shortcutRegionComplementary:"c",shortcutsGroupEnabledLabel:"Shortcuts: Enabled",shortcutsGroupDisabledLabel:"Shortcuts: Disabled",shortcutsToggleEnableLabel:"Enable shortcuts",shortcutsToggleDisableLabel:"Disable shortcuts",shortcutsInfoLabel:"Shortcut Information",aboutSupported:"true",aboutInfoLabel:"About SkipTo.js",aboutHappy:"Happy Skipping!",aboutVersion:`Version ${this.version}`,aboutCopyright:"BSD License, Copyright 2021-2025",aboutDesc:"SkipTo.js is a free and open source utility to support authors in implementing the WCAG 4.2.1 Bypass Block requirement on their websites.",closeLabel:"Close",moreInfoLabel:"More Information",msgKey:"Key",msgDescription:"Description",msgNextRegion:"Next region",msgPreviousRegion:"Previous region",msgNextHeading:"Next heading",msgPreviousHeading:"Previous heading",msgMainRegions:"Main regions",msgNavigationRegions:"Navigation regions",msgComplementaryRegions:"Complementary regions",msgHeadingLevel:"Level #",msgH1Headings:"Level 1 headings",msgH2Headings:"Level 2 headings",msgH3Headings:"Level 3 headings",msgH4Headings:"Level 4 headings",msgH5Headings:"Level 5 headings",msgH6Headings:"Level 6 headings",msgNoMoreRegions:"No more regions",msgNoRegionsFound:"No %r regions found",msgNoMoreHeadings:"No more headings",msgNoHeadingsLevelFound:"No level %h headings found",menuLabel:"Landmarks and Headings",landmarkGroupLabel:"Landmark Regions",headingGroupLabel:"Headings",headingMainGroupLabel:"Headings in Main Region",headingLevelLabel:"Heading level",mainLabel:"main",searchLabel:"search",navLabel:"navigation",regionLabel:"region",asideLabel:"complementary",footerLabel:"contentinfo",headerLabel:"banner",formLabel:"form",msgNoLandmarksFound:"No landmarks found",msgNoHeadingsFound:"No headings found",landmarks:"main search navigation complementary",headings:"main-only h1 h2",highlightTarget:"instant",msgHidden:"Heading is hidden",hiddenHeadingColor:"#000000",hiddenHeadingDarkColor:"#000000",hiddenHeadingBackgroundColor:"#ffcc00",hiddenHeadingBackgroundDarkColor:"#ffcc00",dialogTextColor:"#000000",dialogTextDarkColor:"#ffffff",dialogBackgroundColor:"#ffffff",dialogBackgroundDarkColor:"#000000",dialogBackgroundTitleColor:"#eeeeee",dialogBackgroundTitleDarkColor:"#013c93",colorTheme:"",fontFamily:"",fontSize:"",positionLeft:"",smallBreakPoint:"",mediumBreakPoint:"",menuTextColor:"",menuBackgroundColor:"",menuitemFocusTextColor:"",menuitemFocusBackgroundColor:"",focusBorderColor:"",buttonTextColor:"",buttonBackgroundColor:"",menuTextDarkColor:"",menuBackgroundDarkColor:"",menuitemFocusTextDarkColor:"",menuitemFocusBackgroundDarkColor:"",focusBorderDarkColor:"",buttonTextDarkColor:"",buttonBackgroundDarkColor:"",zIndex:"",zHighlight:""}}static get observedAttributes(){return[C,"setfocus","type","shortcuts","about"]}attributeChangedCallback(e,t,o){if(e===C&&(this.config=this.setupConfigFromDataAttribute(this.config,o)),"type"===e&&"extension"===o&&(this.config.shortcuts="enabled"),"shortcuts"===e&&("enable"===o.trim().toLowerCase()?this.config.shortcuts="enabled":this.config.shortcuts="disabled"),"about"===e&&("true"===o.trim().toLowerCase()?this.config.aboutSupported="true":this.config.aboutSupported="false"),"setfocus"===e)switch(o){case"button":this.buttonSkipTo.closePopup(),this.buttonSkipTo.buttonNode.focus();break;case"menu":this.buttonSkipTo.openPopup(),this.buttonSkipTo.setFocusToFirstMenuitem();break;case"none":this.buttonSkipTo.closePopup(),document.body.focus()}}init(e=!1){if(!this.initialized){this.initialized=!0,e&&(this.config=this.setupConfigFromGlobal(this.config,e));const t=document.querySelector(`[${C}]`);if(t){const e=t.getAttribute(C);this.config=this.setupConfigFromDataAttribute(this.config,e)}E(this.shadowRoot,this.config,this.skipToId,e),this.buttonSkipTo=new xe(this),e||(de(this.config,this.skipToId),document.addEventListener("focusin",()=>{const e=document.querySelector(k);e&&e.removeHighlight()}))}this.setAttribute("focus","none")}setupConfigFromGlobal(e,t){let o={};"object"==typeof t.settings&&"object"==typeof t.settings.skipTo?o=t.settings.skipTo:"object"==typeof t&&(o=t);for(const t in o)void 0!==e[t]&&("string"==typeof o[t]&&o[t].length>0||"boolean"==typeof o[t])?e[t]=o[t]:console.warn("[SkipTo]: Unsupported or deprecated configuration option in global configuration object: "+t);return e}setupConfigFromDataAttribute(e,t){let o={};if(t){t.split(";").forEach(e=>{const t=e.indexOf(":");let n=e.substring(0,t),i=e.substring(t+1);n&&(n=n.trim()),i&&(i=i.trim()),n&&i&&(o[n]=i)})}for(const t in o)void 0!==e[t]&&("string"==typeof o[t]&&o[t].length>0||"boolean"==typeof o[t])?e[t]=o[t]:console.warn("[SkipTo]: Unsupported or deprecated configuration option in data-skipto attribute: "+t);E(this.shadowRoot,e,this.skipToId),this.buttonSkipTo&&(this.buttonSkipTo.updateLabels(e),this.buttonSkipTo.setDisplayOption(e.displayOption));const n=document.querySelector(f);ye.flag&&ye.log(`[infoDialog]: ${n}`),n&&n.configureStyle(e);const i=document.querySelector(b);ye.flag&&ye.log(`[shortcutMessage]: ${i}`),i&&i.configureStyle(e);const r=document.querySelector(k);return ye.flag&&ye.log(`[highlight]: ${r}`),r&&r.configureStyle(e),e}supportShortcuts(e){e?(this.config.shortcutsSupported="true",this.config.shortcuts="enabled"):(this.config.shortcutsSupported="false",this.config.shortcuts="disabled")}}const Ne=new t("skipto",!1);Ne.flag=!1,function(){function e(){function e(e){let t=document.getElementById(e);for(;t;)console.warn(`[SkipTo.js]: Removing legacy 5.x component: ${e}`),t.remove(),t=document.getElementById(e)}e("id-skip-to"),e("id-skip-to-css"),e("id-skip-to-highlight"),function(e){let t=document.getElementsByTagName(e);for(let o=0;o<t.length;o+=1){const n=t[o];console.warn(`[SkipTo.js]: Removing legacy 5.x component: ${e}`),n.remove()}}("skip-to-shortcuts-message");const t=document.querySelectorAll("div.skip-to");Ne.flag&&Ne.log(`[removeLegacySkipToJS]: ${t.length}`);for(let e=0;e<t.length;e+=1)t[e].remove(),console.warn("[SkipTo.js]: Removing legacy 4.x component")}function t(){const e=document.querySelectorAll(g);Ne.flag&&Ne.log(`[removePageSkipTo]: ${e.length}`);for(let t=0;t<e.length;t+=1)e[t].remove(),console.warn(`[SkipTo.js]: Removing ${e[t].tagName}`)}function o(o="pagescript"){e();const n=document.querySelector(p),i=document.querySelector(m),r=document.querySelector(g);let s=!1;switch(o){case"bookmarklet":n||i||(t(),window.customElements.define(m,ve),(s=document.createElement(m)).setAttribute("version",s.version),s.setAttribute("type",o),document.body&&document.body.insertBefore(s,document.body.firstElementChild));break;case"extension":n||(t(),function(){const e=document.querySelectorAll(m);Ne.flag&&Ne.log(`[removeBookmarkletSkipTo]: ${e.length}`);for(let t=0;t<e.length;t+=1)e[t].remove(),console.warn(`[SkipTo.js]: Removing ${e[t].tagName}`)}(),window.customElements.define(p,ve),(s=document.createElement(p)).setAttribute("version",s.version),s.setAttribute("type",o),document.body&&document.body.insertBefore(s,document.body.firstElementChild));break;default:r||i||n||(window.customElements.define(g,ve),(s=document.createElement(g)).setAttribute("version",s.version),s.setAttribute("type",o),document.body&&document.body.insertBefore(s,document.body.firstElementChild))}return s}if(document.getElementById("id-skip-to-bookmarklet")){Ne.flag&&Ne.log("[bookmarklet]");const e=o("bookmarklet");e&&(e.init(),e.buttonSkipTo.openPopup(),e.buttonSkipTo.setFocusToFirstMenuitem())}else if(document.getElementById("id-skip-to-extension")){Ne.flag&&Ne.log("[extension]");const n=o("extension");n&&(n.init(),window.addEventListener("load",function(){Ne.flag&&Ne.log(`[onload][extension][elem]: ${n}`),e(),t()}))}else window.addEventListener("load",function(){Ne.flag&&Ne.log("[onload][script]");const e=o();if(e){e.supportShortcuts(!1),Ne.flag&&Ne.log(`[onload][script][elem]: ${e}`);const t=window.SkipToConfig?window.SkipToConfig:{};e.init(t)}})}()}();
